1. Automation Queue
  • Getting Started
    • Introduction
    • Quickstart
    • Authentication
    • Status codes
  • Webhook
    • Webhook Setup
    • Webhook Events and Schema
  • SDKs
    • @klink.cloud/call-sdk
  • API Reference
    • Contact
      • Listing
      • Create
      • Filter By SocialPlatformId
      • Form Fields
      • Detail
      • Update
      • Delete
      • Fetch Contact Groups
      • Update tags
    • Tag
      • Listing
    • Channel
      • Listing
      • Create
    • Ticket
      • Listing
      • Create
      • Filter by Contact ID
      • Form Fields
      • Update
      • Update status
    • Category
      • Listing
    • CxLog
      • Listing
    • Message
      • Send message
      • Create comments
      • Get Comments
    • Media Manager
      • Get Folders
      • Get Folder By ID
      • Create Folder
      • Update Folder
      • Delete Folder
      • Get Files
      • Get File By ID
      • Create File
      • Update File
      • Delete File
    • Agent Activity
      • Get Agents Activities
    • Telephony
      • Get Telephony CDR
    • User
      • Create
      • Listing
      • Detail
      • Update
      • Delete
    • Automation Queue
      • Create
        POST
      • Listing
        GET
      • Detail
        GET
      • Update
        PATCH
      • Delete
        DELETE
      • Add Member
        POST
      • Remove Member
        DELETE
    • Role
      • Listing
Blog
Github
  1. Automation Queue

Listing

GET
/api/v1/automation-queues
Returns every automation queue in your workspace, each with its full member list. This endpoint is not paginated.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************

Responses

🟢200
application/json
Bodyapplication/json

🟠401Unauthorized
🟠429Too Many Requests
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://apigw.klinkcx.com/api/v1/automation-queues' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "requestId": "string",
    "data": [
        {
            "id": "string",
            "name": "string",
            "description": "string",
            "emoji": "string",
            "distributionStrategy": "round-robin",
            "maximumAssignPerAgent": 0,
            "useGlobalAgentCapacity": true,
            "offlineAssignment": true,
            "autoAssign": true,
            "members": [
                {
                    "userId": "string",
                    "name": "string",
                    "email": "string",
                    "membershipRole": "agent"
                }
            ],
            "createdAt": "string",
            "updatedAt": "string"
        }
    ]
}
Modified at 2026-08-10 03:17:50
Previous
Create
Next
Detail
Built with